This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 770821 - CVE-2011-4838 jruby: hash table collisions CPU usage DoS (oCERT-2011-003) [fedora-16]
CVE-2011-4838 jruby: hash table collisions CPU usage DoS (oCERT-2011-003) [fe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jruby (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 783580
Blocks: CVE-2011-4838 782862
  Show dependency treegraph
 
Reported: 2011-12-29 05:48 EST by Huzaifa S. Sidhpurwala
Modified: 2013-02-13 21:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:34:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-12-29 05:48:15 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=770820

fedora-16 tracking bug for jruby: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Mo Morsi 2012-01-20 16:59:27 EST
Updating to JRuby 1.6.5.1 requires updating to snakeyaml 1.9, adding a dependency to this.
Comment 2 Jan Lieskovsky 2012-11-12 06:37:09 EST
(In reply to comment #1)
> Updating to JRuby 1.6.5.1 requires updating to snakeyaml 1.9, adding a
> dependency to this.

Hello Mohammed, any update on fixing this? From what I can tell current jruby versions, as shipped with Fedora-16 and Fedora-17 are still vulnerable to this problem. Could you schedule the updates?

Thank you, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 3 Fedora End Of Life 2013-01-16 19:59:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 21:34:48 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.